<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*
$razdel - к ккакуму разделу пренадлежат к примеру load или там для новостей news
$key - ключ записи, к примеру у нас есть раздел загрузки "load"  файл с идом 1
*/
class comments_class_by_lugaro {
    public $razdel;
    public $key;
    function __construct($razdel, $key)
    {
        $this->razdel = $razdel;
        $this->key = $key;
    }
    // Постов в разделе
    function count_post_razdel()
    {
        return mysql_result(mysql_query("SELECT COUNT(id) FROM comments_class WHERE razdel = '" . $this->razdel . "'  AND `key` = '".$this->key."'"), 0, 0);
    }
    // Добавление записи
    function insert_db($user, $id_user, $msg)
    {
        return mysql_query("INSERT INTO comments_class SET
    	user = '" . $user . "',
    	id_user = '" . $id_user . "',
    	msg = '" . $msg . "',
    	time = '" . time() . "',
    	razdel = '" . $this->razdel . "',
    	`key` = '" . $this->key . "'");
    }
    // Удаление записи
    function del($id)
    {
    	$id = abs(intval($id));
        return mysql_query("DELETE FROM comments_class WHERE id = '".$id."' AND razdel = '" . $this->razdel . "' LIMIT 1");
    }
    // Групы записей
    function del_group()
    {
        return mysql_query("DELETE FROM comments_class WHERE razdel = '" . $this->razdel . "'  AND `key` = '".$this->key."'");
    }
    // Очистка одного раздела
    function cler()
    {
        return mysql_query("DELETE FROM comments_class WHERE razdel = '" . $this->razdel . "'");
    }
}

?>